asyncapi: 3.0.0
info:
    title: Mobile App Statistics
    version: 1.0.0
    description: Golemio Mobile App Statistics Module
channels:
    mobileappstatistics.refreshAppStoreDataInDB:
        address: dataplatform.mobileappstatistics.refreshAppStoreDataInDB
        description: Refresh App Store data in DB
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/mobileappstatistics.appStoreMessage"
    mobileappstatistics.refreshPlayStoreDataInDB:
        address: dataplatform.firebasepidlitacka.moveAppLaunch
        description: Refresh Play Store data in DB
        bindings:
            amqp:
                is: queue
                queue:
                    durable: true
        messages:
            empty:
                $ref: "#/components/messages/emptyMessage"
operations:
    mobileappstatistics.refreshAppStoreDataInDB:
        action: "send"
        channel:
            $ref: "#/channels/mobileappstatistics.refreshAppStoreDataInDB"
    mobileappstatistics.refreshPlayStoreDataInDB:
        action: "send"
        channel:
            $ref: "#/channels/mobileappstatistics.refreshPlayStoreDataInDB"
components:
    messages:
        emptyMessage:
            title: Empty message
        mobileappstatistics.appStoreMessage:
            payload:
                type: object
                properties:
                    date:
                        type: string
                additionalProperties: false
